Package org.w3._1999.xhtml

# Class Body

java.lang.Object
org.w3._1999.xhtml.Block
org.w3._1999.xhtml.Body

public class Body extends Block
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <extension base="{http://www.w3.org/1999/xhtml}Block"> <attGroup ref="{http://www.w3.org/1999/xhtml}attrs"/> <attribute name="onload" type="{http://www.w3.org/1999/xhtml}Script" /> <attribute name="onunload" type="{http://www.w3.org/1999/xhtml}Script" /> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `clazz`
  `protected String`
  `dir`
  `protected String`
  `id`
  `protected String`
  `lang`
  `protected String`
  `onclick`
  `protected String`
  `ondblclick`
  `protected String`
  `onkeydown`
  `protected String`
  `onkeypress`
  `protected String`
  `onkeyup`
  `protected String`
  `onload`
  `protected String`
  `onmousedown`
  `protected String`
  `onmousemove`
  `protected String`
  `onmouseout`
  `protected String`
  `onmouseover`
  `protected String`
  `onmouseup`
  `protected String`
  `onunload`
  `protected String`
  `style`
  `protected String`
  `title`
  `protected String`
  `xmlLang`

  ### Fields inherited from class org.w3._1999.xhtml.Block

  `pOrH1OrH2`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Body()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getClazz()`
  Gets the value of the clazz property.
  `String`
  `getDir()`
  Gets the value of the dir property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLang()`
  Gets the value of the lang property.
  `String`
  `getOnclick()`
  Gets the value of the onclick property.
  `String`
  `getOndblclick()`
  Gets the value of the ondblclick property.
  `String`
  `getOnkeydown()`
  Gets the value of the onkeydown property.
  `String`
  `getOnkeypress()`
  Gets the value of the onkeypress property.
  `String`
  `getOnkeyup()`
  Gets the value of the onkeyup property.
  `String`
  `getOnload()`
  Gets the value of the onload property.
  `String`
  `getOnmousedown()`
  Gets the value of the onmousedown property.
  `String`
  `getOnmousemove()`
  Gets the value of the onmousemove property.
  `String`
  `getOnmouseout()`
  Gets the value of the onmouseout property.
  `String`
  `getOnmouseover()`
  Gets the value of the onmouseover property.
  `String`
  `getOnmouseup()`
  Gets the value of the onmouseup property.
  `String`
  `getOnunload()`
  Gets the value of the onunload property.
  `String`
  `getStyle()`
  Gets the value of the style property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `String`
  `getXmlLang()`
  Gets the value of the xmlLang property.
  `void`
  `setDir(String value)`
  Sets the value of the dir property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setOnclick(String value)`
  Sets the value of the onclick property.
  `void`
  `setOndblclick(String value)`
  Sets the value of the ondblclick property.
  `void`
  `setOnkeydown(String value)`
  Sets the value of the onkeydown property.
  `void`
  `setOnkeypress(String value)`
  Sets the value of the onkeypress property.
  `void`
  `setOnkeyup(String value)`
  Sets the value of the onkeyup property.
  `void`
  `setOnload(String value)`
  Sets the value of the onload property.
  `void`
  `setOnmousedown(String value)`
  Sets the value of the onmousedown property.
  `void`
  `setOnmousemove(String value)`
  Sets the value of the onmousemove property.
  `void`
  `setOnmouseout(String value)`
  Sets the value of the onmouseout property.
  `void`
  `setOnmouseover(String value)`
  Sets the value of the onmouseover property.
  `void`
  `setOnmouseup(String value)`
  Sets the value of the onmouseup property.
  `void`
  `setOnunload(String value)`
  Sets the value of the onunload property.
  `void`
  `setStyle(String value)`
  Sets the value of the style property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.
  `void`
  `setXmlLang(String value)`
  Sets the value of the xmlLang property.

  ### Methods inherited from class org.w3._1999.xhtml.Block

  `getPOrH1OrH2`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### onload

    protected String onload

  - ### onunload

    protected String onunload

  - ### lang

    protected String lang

  - ### xmlLang

    protected String xmlLang

  - ### dir

    protected String dir

  - ### id

    protected String id

  - ### clazz

    protected List<String> clazz

  - ### style

    protected String style

  - ### title

    protected String title

  - ### onclick

    protected String onclick

  - ### ondblclick

    protected String ondblclick

  - ### onmousedown

    protected String onmousedown

  - ### onmouseup

    protected String onmouseup

  - ### onmouseover

    protected String onmouseover

  - ### onmousemove

    protected String onmousemove

  - ### onmouseout

    protected String onmouseout

  - ### onkeypress

    protected String onkeypress

  - ### onkeydown

    protected String onkeydown

  - ### onkeyup

    protected String onkeyup

- ## Constructor Details

  - ### Body

    public Body()

- ## Method Details

  - ### getOnload

    public String getOnload()
    Gets the value of the onload property.
    Returns:
      possible object is `String`

  - ### setOnload

    public void setOnload(String value)
    Sets the value of the onload property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnunload

    public String getOnunload()
    Gets the value of the onunload property.
    Returns:
      possible object is `String`

  - ### setOnunload

    public void setOnunload(String value)
    Sets the value of the onunload property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLang

    public String getLang()
    Gets the value of the lang property.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getXmlLang

    public String getXmlLang()
    Gets the value of the xmlLang property.
    Returns:
      possible object is `String`

  - ### setXmlLang

    public void setXmlLang(String value)
    Sets the value of the xmlLang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDir

    public String getDir()
    Gets the value of the dir property.
    Returns:
      possible object is `String`

  - ### setDir

    public void setDir(String value)
    Sets the value of the dir property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getClazz

    public List<String> getClazz()
    Gets the value of the clazz property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the clazz property.

    For example, to add a new item, do as follows:

         getClazz().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the clazz property.

  - ### getStyle

    public String getStyle()
    Gets the value of the style property.
    Returns:
      possible object is `String`

  - ### setStyle

    public void setStyle(String value)
    Sets the value of the style property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnclick

    public String getOnclick()
    Gets the value of the onclick property.
    Returns:
      possible object is `String`

  - ### setOnclick

    public void setOnclick(String value)
    Sets the value of the onclick property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOndblclick

    public String getOndblclick()
    Gets the value of the ondblclick property.
    Returns:
      possible object is `String`

  - ### setOndblclick

    public void setOndblclick(String value)
    Sets the value of the ondblclick property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmousedown

    public String getOnmousedown()
    Gets the value of the onmousedown property.
    Returns:
      possible object is `String`

  - ### setOnmousedown

    public void setOnmousedown(String value)
    Sets the value of the onmousedown property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmouseup

    public String getOnmouseup()
    Gets the value of the onmouseup property.
    Returns:
      possible object is `String`

  - ### setOnmouseup

    public void setOnmouseup(String value)
    Sets the value of the onmouseup property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmouseover

    public String getOnmouseover()
    Gets the value of the onmouseover property.
    Returns:
      possible object is `String`

  - ### setOnmouseover

    public void setOnmouseover(String value)
    Sets the value of the onmouseover property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmousemove

    public String getOnmousemove()
    Gets the value of the onmousemove property.
    Returns:
      possible object is `String`

  - ### setOnmousemove

    public void setOnmousemove(String value)
    Sets the value of the onmousemove property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmouseout

    public String getOnmouseout()
    Gets the value of the onmouseout property.
    Returns:
      possible object is `String`

  - ### setOnmouseout

    public void setOnmouseout(String value)
    Sets the value of the onmouseout property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnkeypress

    public String getOnkeypress()
    Gets the value of the onkeypress property.
    Returns:
      possible object is `String`

  - ### setOnkeypress

    public void setOnkeypress(String value)
    Sets the value of the onkeypress property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnkeydown

    public String getOnkeydown()
    Gets the value of the onkeydown property.
    Returns:
      possible object is `String`

  - ### setOnkeydown

    public void setOnkeydown(String value)
    Sets the value of the onkeydown property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnkeyup

    public String getOnkeyup()
    Gets the value of the onkeyup property.
    Returns:
      possible object is `String`

  - ### setOnkeyup

    public void setOnkeyup(String value)
    Sets the value of the onkeyup property.
    Parameters:
      `value` - allowed object is `String`